/api/v1/chats (POST)
const url = 'https://api.endless.zaia.app/api/v1/chats';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"channelId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","ownerId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","privateMemory":{},"publicMemory":{},"title":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/chats \ --header 'Content-Type: application/json' \ --data '{ "channelId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ownerId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "privateMemory": {}, "publicMemory": {}, "title": "example" }'Creates a new chat.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
A UUID v4 string that identifies an entity.
The super identity ID of the chat owner. Can refer to users.superIdentityId or externalUsers.superIdentityId.
Responses
Seção intitulada “Responses”The chat was created.
object
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
The super identity ID of the chat owner. Can refer to users.superIdentityId or externalUsers.superIdentityId.
The super identity ID of the current chat responder. Can refer to agents.superIdentityId or squads.superIdentityId.
A UUID v4 string that identifies an entity.
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "isRemoved": true, "updatedAt": "2026-04-15T12:00:00Z", "channelId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "conversationVersion": 1, "currentResponderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "lastActivityAt": "2026-04-15T12:00:00Z", "lastChatMessageCreatedAt": "2026-04-15T12:00:00Z", "ownerId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "privateMemory": { "additionalProperty": "example" }, "publicMemory": { "additionalProperty": "example" }, "responderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "title": "example", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Invalid data provided.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Channel or responder not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}